Package org.eclipse.net4j.util.ui.chat

# Class ChatRenderer.Bubble

java.lang.Object
org.eclipse.net4j.util.ui.chat.ChatRenderer.Renderable
org.eclipse.net4j.util.ui.chat.ChatRenderer.Bubble

Enclosing class:
  `ChatRenderer`

public static final class ChatRenderer.Bubble extends ChatRenderer.Renderable

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`ChatRenderer.BubbleGroup`
`getGroup()`
`String`
`getText()`
`LocalTime`
`getTime()`
`boolean`
`isFirst()`
`boolean`
`isLast()`
`protected void`
`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getGroup

public ChatRenderer.BubbleGroup getGroup()

### getTime

public LocalTime getTime()

### getText

public String getText()

### isFirst

public boolean isFirst()

### isLast

public boolean isLast()

### renderHTML

protected void renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)

Specified by:
  `renderHTML` in class `ChatRenderer.Renderable`